=== debian/control ===
Source: kopeninghours
Section: libs
Priority: optional
Build-Depends: bison,
               cmake (>= 2.8.12),
               debhelper-compat (= 13),
               flex,
               kf6-extra-cmake-modules,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               libboost-python1.74-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.5.0
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kopeninghours.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kopeninghours
Maintainer: Neon CI <neon@kde.org>

Package: libkopeninghours1-qt6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkopeninghours1
Conflicts: libkopeninghours1
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.

Package: libkopeninghours-qt6-dev
Architecture: any
Depends: libkopeninghours1-qt6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.
 .
 This package contains the development files.

Package: qml6-module-org-kde-kopeninghours
Architecture: any
Depends: qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.
 .
 This package contains the Qt Quick module.

Package: python3-kopeninghours
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: python-kopeninghours (<< 22.04.3-1neon)
Replaces: python-kopeninghours (<< 22.04.3-1neon)
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.
 .
 This package contains the Python library.
