## kopeninghours 25.08.1+p24.04+vstable+git20250910.2300

=== debian/changelog ===
kopeninghours (25.08.1+p24.04+vstable+git20250910.2300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 23:00:19 +0000
