## kopeninghours 25.08.2+p24.04+vstable+git20251011.0841

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vstable+git20251011.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:41:20 +0000

kopeninghours (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:21:18 +0000
