## kopeninghours 25.08.2+p24.04+vstable+git20251015.0845

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vstable+git20251015.0845-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:45:05 +0000
