## kopeninghours 25.08.2+p24.04+vstable+git20251031.0732

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vstable+git20251031.0732-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:32:09 +0000
