## kopeninghours 25.08.2+p24.04+vunstable+git20251020.0235

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vunstable+git20251020.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:35:00 +0000
