=== debian/control ===
Source: kopeninghours
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: bison,
               cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-python3,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.248~),
               flex,
               libboost-python-dev,
               libkf6holidays-dev (>= 5.248~),
               libkf6i18n-dev (>= 5.248~),
               libpython3-dev,
               qt6-base-dev (>= 6.4~),
Homepage: https://invent.kde.org/libraries/kopeninghours/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: libkopeninghours1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.

Package: libkopeninghours-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkopeninghours1 (= ${binary:Version}),
         qml6-module-org-kde-kopeninghours (= ${binary:Version}),
         ${misc:Depends},
Description: OSM opening hours expressions library (development files)
 A library for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.
 .
 This package contains the development files.

Package: qml6-module-org-kde-kopeninghours
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: OSM opening hours expressions - QML module
 A QML module for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.
 .
 This package contains the QML module.

Package: python3-kopeninghours
Section: python
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: OSM opening hours expressions library - Python binding
 A library for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.
 .
 This package contains the Python library.
