## kopeninghours 25.08.3+p24.04+vunstable+git20251125.0144

=== debian/changelog ===
kopeninghours (25.08.3+p24.04+vunstable+git20251125.0144-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 01:44:09 +0000

kopeninghours (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:02 +1000
