## kopeninghours 25.08.3+p24.04+vunstable+git20251203.0044

=== debian/changelog ===
kopeninghours (25.08.3+p24.04+vunstable+git20251203.0044-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:44:47 +0000
