## kopeninghours 25.12.0+p24.04+vstable+git20251208.1159

=== debian/changelog ===
kopeninghours (25.12.0+p24.04+vstable+git20251208.1159-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:59:36 +0000
