## kopeninghours 25.12.0+p24.04+vstable+git20260105.0818

=== debian/changelog ===
kopeninghours (25.12.0+p24.04+vstable+git20260105.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:18:47 +0000
