## kopeninghours 25.12.0+p24.04+vunstable+git20260105.1240

=== debian/changelog ===
kopeninghours (25.12.0+p24.04+vunstable+git20260105.1240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:40:38 +0000
