=== debian/changelog ===
kopeninghours (25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:03:01 +0000

kopeninghours (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Drop now superfluous Qt5/KF5 build deps.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 20:54:07 +0000

kopeninghours (25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Drop Multi-Arch: same from python3-kopeninghours, it’s incorrect due
    to dh-python injecting calls top py3compile in postinst. See lintian
    tag multi-arch-same-package-calls-pycompile for more details.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Jan 2026 13:52:00 +0100

kopeninghours (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:10:23 +0000

kopeninghours (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:28:30 +0000
