=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.5~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-python3,
                dh-sequence-qmldeps,
+               bison,
+               cmake (>= 3.5~),
                extra-cmake-modules (>= 5.248~),
                flex,
                libboost-python-dev,
@@ -22,14 +22,14 @@
 Homepage: https://invent.kde.org/libraries/kopeninghours/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 
 Package: libkopeninghours1
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: OSM opening hours expressions library
  A library for parsing and evaluating OSM opening hours expressions.
  .
@@ -56,7 +56,9 @@
 Package: qml6-module-org-kde-kopeninghours
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM opening hours expressions - QML module
  A QML module for parsing and evaluating OSM opening hours expressions.
  .
@@ -69,8 +71,9 @@
 Package: python3-kopeninghours
 Section: python
 Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
 Description: OSM opening hours expressions library - Python binding
  A library for parsing and evaluating OSM opening hours expressions.
  .
