## kopeninghours 25.12.1+p24.04+vstable+git20260122.1252

=== debian/changelog ===
kopeninghours (25.12.1+p24.04+vstable+git20260122.1252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:52:30 +0000

kopeninghours (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:17 +1000
