## kopeninghours 25.12.1+p24.04+vstable+git20260131.1321

=== debian/changelog ===
kopeninghours (25.12.1+p24.04+vstable+git20260131.1321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:21:03 +0000
