=== debian/changelog ===
kopeninghours (25.12.1+p24.04+vunstable+git20260123.0338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:38:26 +0000
