=== debian/changelog ===
kopeninghours (25.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.2).
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Drop unneeded KF5/Qt5 build dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Feb 2026 17:48:51 +0100
